---
updatedAt: 2026-05-27T00:16:27.000Z
agentTools:
  projectIndex: https://360learning.readme.io/llms.txt
---

# Replace all jobs for a user

> 🔑
>
> Required OAuth scope: `skillsJobs:write`.

Replaces all jobs for the given user with the provided ones. Jobs not included are removed.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/skills/users/{userId}/jobs": {
      "put": {
        "description": "> 🔑\n>\n> Required OAuth scope: `skillsJobs:write`.\n\nReplaces all jobs for the given user with the provided ones. Jobs not included are removed.",
        "operationId": "v2.skills.ReplaceUserJobsController_replaceUserJobs",
        "parameters": [
          {
            "name": "360-api-version",
            "in": "header",
            "description": "The version of the API.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "v2.0"
              ]
            }
          },
          {
            "name": "userId",
            "required": true,
            "in": "path",
            "description": "The unique ID of a user.",
            "schema": {
              "format": "ObjectId",
              "pattern": "^[a-fA-F0-9]{24}$",
              "example": "507f1f77bcf86cd799439011",
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ReplaceUserJobsBody"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Returns the current jobs of the user.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              }
            }
          },
          "400": {
            "description": "The server cannot or will not process the request due to something that is perceived to be a client error.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "description": "The skill solution is not enabled.",
                      "title": "Skill Solution Not Enabled",
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "object",
                          "properties": {
                            "code": {
                              "type": "string",
                              "enum": [
                                "skillSolutionNotEnabled"
                              ]
                            },
                            "message": {
                              "type": "string",
                              "example": "A human-readable message to help with debugging."
                            }
                          },
                          "required": [
                            "code",
                            "message"
                          ]
                        }
                      },
                      "required": [
                        "error"
                      ]
                    },
                    {
                      "description": "Job externalId not found.",
                      "title": "Job External Id Not Found",
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "object",
                          "properties": {
                            "code": {
                              "type": "string",
                              "enum": [
                                "jobExternalIdNotFound"
                              ]
                            },
                            "message": {
                              "type": "string",
                              "example": "A human-readable message to help with debugging."
                            }
                          },
                          "required": [
                            "code",
                            "message"
                          ]
                        }
                      },
                      "required": [
                        "error"
                      ]
                    },
                    {
                      "description": "Too many jobs for a user.",
                      "title": "Too Many Jobs",
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "object",
                          "properties": {
                            "code": {
                              "type": "string",
                              "enum": [
                                "tooManyJobs"
                              ]
                            },
                            "message": {
                              "type": "string",
                              "example": "A human-readable message to help with debugging."
                            }
                          },
                          "required": [
                            "code",
                            "message"
                          ]
                        }
                      },
                      "required": [
                        "error"
                      ]
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "The given access token is either missing, invalid, has expired, or has been revoked.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "invalid_token"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "403": {
            "description": "The given access token does not have the required OAuth scope to execute the request.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "Invalid Scope",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "invalid_scope"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "404": {
            "description": "The given user does not correspond to any existing and non-deleted user.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "User Not Found",
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "enum": [
                            "userNotFound"
                          ]
                        },
                        "message": {
                          "type": "string",
                          "example": "A human-readable message to help with debugging."
                        }
                      },
                      "required": [
                        "code",
                        "message"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "The client has sent too many requests in a short amount of time. ",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "enum": [
                        "tooManyRequests"
                      ]
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        },
        "security": [
          {
            "oauth2": []
          }
        ],
        "summary": "Replace all jobs for a user",
        "tags": [
          "Skills"
        ]
      }
    }
  },
  "info": {
    "title": "Core API",
    "description": "",
    "version": "1.0.0",
    "contact": {}
  },
  "servers": [
    {
      "url": "https://app.360learning.com",
      "description": "Production EU"
    },
    {
      "url": "https://app.us.360learning.com",
      "description": "Production US"
    }
  ],
  "components": {
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {},
        "description": "Use the token from the authentication endpoint in the Authorization header.\n\nExample: `Authorization: Bearer <token>`"
      }
    },
    "schemas": {
      "ReplaceUserJobsBody": {
        "title": "Replace User Jobs Body",
        "type": "object",
        "properties": {
          "jobIds": {
            "description": "The list of unique IDs of the current jobs given to a user.",
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "required": [
          "jobIds"
        ]
      }
    }
  }
}
```